%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:                jboss-jaspi-1.0-api
Version:             1.0.1
Release:             2
Summary:             JBoss Java Authentication SPI for Containers 1.0 API
License:             CDDL-1.0 or GPL-2.0-only with exceptions
URL:                 http://www.jboss.org
Source0:             https://github.com/jboss/jboss-jaspi-api_spec/archive/refs/tags/jboss-jaspi-api_1.0_spec-1.0.1.Final.tar.gz
BuildRequires:       maven-local mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.jboss:jboss-parent:pom:) xmvn
BuildArch:           noarch
%description
The Java Authentication SPI for Containers 1.0 API classes

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jaspi-api_spec-jboss-jaspi-api_1.0_spec-1.0.1.Final
%pom_remove_plugin :maven-source-plugin
files='
src/main/java/javax/security/auth/message/callback/PasswordValidationCallback.java
src/main/java/javax/security/auth/message/config/AuthConfigFactory.java
src/main/java/javax/security/auth/message/config/AuthConfigProvider.java
src/main/java/javax/security/auth/message/config/ClientAuthConfig.java
src/main/java/javax/security/auth/message/config/ServerAuthConfig.java
src/main/java/javax/security/auth/message/module/ClientAuthModule.java
src/main/java/javax/security/auth/message/module/ServerAuthModule.java
'
for f in ${files}; do
  native2ascii -encoding UTF8 ${f} ${f}
done

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Nov 10 2022 Ge Wang <wangge20@h-partners.com> - 1.0.1-2
- Bring source file into correspondence with described in spec file

* Fri Aug 14 2020 yaokai <yaokai13@huawei.com> - 1.0.1-1
- Package init
